Bug 498176 - plasma-networkmanager crashes when connected to wire
plasma-networkmanager crashes when connected to wire
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kde-plasma-networkmanagement (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Boeckel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-29 06:20 EDT by Tomas Kopecek
Modified: 2009-11-11 09:59 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-08 00:05:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Plasma crash report (6.77 KB, application/octet-stream)
2009-04-29 06:20 EDT, Tomas Kopecek
no flags Details

  None (edit)
Description Tomas Kopecek 2009-04-29 06:20:33 EDT
Created attachment 341732 [details]
Plasma crash report

Description of problem:
When applet starts and wired connection is available, it crashes and takes down whole plasma. It happens always. If I start applet with disconnected cable, everything works ok. Also if I after that connect cable.

Version-Release number of selected component (if applicable):
kde-plasma-networkmanagement-0.1-0.9.20090403svn.fc11.i586

How reproducible:
1. Attach ethernet wire
2. Start plasma-networkmanagement

Steps to Reproduce:
dtto
  
Actual results:
Plasma crashes, sometimes is automatically restarted, sometimes it has to be done manually.

Expected results:
working applet

Additional info:
- Attached crash report
- machine: Lenovo ThinkPad T500
- video driver: intel
Comment 1 Ben Boeckel 2009-04-29 11:28:07 EDT
This is a bug with the applet, not specifically the wired connection. I've tried debugging it, but I see that it crashes from an invalid pointer on a QGraphicsItem. I have some more things to do to to figure out what's exactly wrong here.
Comment 2 Tomas Kopecek 2009-04-30 04:27:14 EDT
(In reply to comment #1)
> This is a bug with the applet, not specifically the wired connection. I've
> tried debugging it, but I see that it crashes from an invalid pointer on a
> QGraphicsItem. I have some more things to do to to figure out what's exactly
> wrong here.  

Probably yes, but I think, that is only connected to wired connection widget. If I do anything else (connect to vpn, wireless, ...) everything behaves right way. Only starting with wired connection is problem. But I admit, tha it could be more general problem ;-)
Comment 3 Kevin Kofler 2009-05-09 09:23:56 EDT
This is fixed in kde-plasma-networkmanagement-0.1-0.11.20090504svn.fc11 now in updates-testing.
Comment 4 Bug Zapper 2009-06-09 10:46:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora Update System 2009-09-30 12:03:46 EDT
kde-plasma-networkmanagement-0.9-0.3.20090930svn.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/kde-plasma-networkmanagement-0.9-0.3.20090930svn.fc11
Comment 6 Ben Boeckel 2009-11-06 20:34:32 EST
Has this been fixed?
Comment 7 Rex Dieter 2009-11-07 08:18:17 EST
yes
Comment 8 Ben Boeckel 2009-11-08 00:05:20 EST
Closing.
Comment 9 Fedora Update System 2009-11-11 09:59:56 EST
kde-plasma-networkmanagement-0.9-0.3.20090930svn.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.